Add Links to Chatbot (v0)
curl --request POST \
--url https://sitegpt.ai/api/v0/chatbots/{chatbotId}/links \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"links": [
{
"url": "https://sitegpt.ai"
},
{
"url": "https://sitegpt.ai/pricing"
},
{
"url": "https://sitegpt.ai/docs"
}
]
}
'import requests
url = "https://sitegpt.ai/api/v0/chatbots/{chatbotId}/links"
payload = { "links": [{ "url": "https://sitegpt.ai" }, { "url": "https://sitegpt.ai/pricing" }, { "url": "https://sitegpt.ai/docs" }] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
links: [
{url: 'https://sitegpt.ai'},
{url: 'https://sitegpt.ai/pricing'},
{url: 'https://sitegpt.ai/docs'}
]
})
};
fetch('https://sitegpt.ai/api/v0/chatbots/{chatbotId}/links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Added links to the chatbot successfully",
"data": {}
}Content & Training
Add Links to Chatbot (v0)
deprecated
⚠️ DEPRECATED: This endpoint is deprecated and will be sunset on June 1, 2026.
Please migrate to the v1 API endpoint (/v1/chatbots/{chatbotId}/links) for:
- Advanced features (website crawling, sitemaps, YouTube)
- Better performance and reliability
- More granular control over content ingestion
Add a list of URLs to the chatbot. This is the simplified v0 endpoint for backward compatibility.
Note: The urlType field is optional and deprecated. ZENDESK and GITBOOK source types are no longer supported.
Migration Guide: See /v1/chatbots/{chatbotId}/links endpoint documentation.
POST
/
v0
/
chatbots
/
{chatbotId}
/
links
Add Links to Chatbot (v0)
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Id of the chatbot
Body
application/json
Request body to add links to the chatbot
Request Body
List of URLs to be added to the chatbot (max 1000 per request)
Required array length:
1 - 1000 elementsShow child attributes
Show child attributes
Was this page helpful?